<?php
/**

Template Name: Blog Posts
 
 */

get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

<div class="container">
    <div class="row">
        <div class="col-md-8">
       
        <?php query_posts('post_type=post&post_status=publish&posts_per_page=10&paged='. get_query_var('paged')); ?>
        <?php 
          
            /* Start the Loop */
            while ( have_posts() ) : the_post();

        ?>
        
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php
        if ( is_single() ) :
            the_title( '<h1 class="entry-title">', '</h1>' );
        else :
            the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
        endif;

        if ( 'post' === get_post_type() ) : ?>
        <div class="entry-meta">
            <?php andar_posted_on(); ?>
        </div><!-- .entry-meta -->
        <?php
        endif; ?>
    </header><!-- .entry-header -->

    <div class="entry-content">
        <?php
            the_excerpt( sprintf(
                /* translators: %s: Name of current post. */
                wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'andar' ), array( 'span' => array( 'class' => array() ) ) ),
                the_title( '<span class="screen-reader-text">"', '"</span>', false )
            ) );

            wp_link_pages( array(
                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'andar' ),
                'after'  => '</div>',
            ) );
        ?>
    </div><!-- .entry-content -->

    <footer class="entry-footer">
        <?php andar_entry_footer(); ?>
    </footer><!-- .entry-footer -->
</article><!-- #post-## -->
    
        <?php
            endwhile;

            andar_numeric_posts_nav();
        ?>
      
    </div>
      
    <div class="col-md-4">
        
        <?php get_sidebar(); ?>

    </div>
    
        

        </main><!-- #main -->
    </div><!-- #primary -->

    </div>
    


<?php 
get_footer();
