<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Andar
 */

?>

    <!-- START FOOTER DESIGN AREA -->
    <footer class="footer-area section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="footer-text text-center">
                        <div class="footer-social-link">
                            <ul>
                                <li><a href="<?php echo esc_html( get_theme_mod( 'facebook_link', '' )); ?>"><i class="fa fa-facebook"></i></a></li>
                                <li><a href="<?php echo esc_html( get_theme_mod( 'twitter_link', '' )); ?>"><i class="fa fa-twitter"></i></a></li>
                                <li><a href="<?php echo esc_html( get_theme_mod( 'dribbble_link', '' )); ?>"><i class="fa fa-dribbble"></i></a></li>
                                <li><a href="<?php echo esc_html( get_theme_mod( 'googleplus_link', '' )); ?>"><i class="fa fa-google-plus"></i></a></li>
                            </ul>
                        </div>
                        <h6 class="text-muted">&copy;<?php echo esc_html( get_theme_mod( 'copyright', '' )); ?></h6>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- / END CONTACT DETAILS DESIGN AREA -->


    <!-- START SCROOL UP DESIGN AREA -->
    <div class="scroll-to-up">
        <div class="scrollup">
            <i class="fa fa-angle-up"></i>
        </div>
    </div>
    <!-- / END SCROOL UP DESIGN AREA -->

<?php wp_footer(); ?>

</body>

</html>
