<?php


function andar_styles () {
    
    
    ?>
    <style>
    
    <?php if ( get_theme_mod( 'site_color' ) ) : ?>
    
        a, a.slide-btn { color: <?php echo esc_html( get_theme_mod( 'site_color', '' )) ?>; }
        
        .footer-social-link ul li a  { background: <?php echo esc_html( get_theme_mod( 'site_color', '' )) ?>; }
        
    <?php endif; ?>    
    
    <?php if ( get_theme_mod( 'font' ) ) : ?>
    
        p, a, h2 { font-family: <?php echo esc_html( get_theme_mod( 'font', '' )) ?>; }
    <?php endif; ?>  
     
    <?php if ( get_theme_mod( 'header_bg' ) ) : ?>
    
        .welcome-image-area { background: url("<?php echo esc_html( get_theme_mod( 'header_bg', '' )) ?>") }
    <?php endif; ?>    
     
    <?php if ( get_theme_mod( 'menu_color' ) ) : ?>
    
        .mainmenu .navbar-nav li a { color: <?php echo esc_html( get_theme_mod( 'menu_color', '' )) ?>; }
    <?php endif; ?>
    
    <?php if ( get_theme_mod( 'menu_hover_color' ) ) : ?>
    
        .mainmenu .navbar-nav li a:hover { color: <?php echo esc_html( get_theme_mod( 'menu_hover_color', '' )) ?>; }
    <?php endif; ?>    
    
    <?php if ( get_theme_mod( 'bg_color' ) ) : ?>
    
        .welcome-image-area::after { color: <?php echo esc_html( get_theme_mod( 'bg_color', '' )) ?>; }
    <?php endif; ?> 
    
    <?php if ( get_theme_mod( 'header_button' ) ) : ?>
    
        .welcome-image-area::after { color: <?php echo esc_html( get_theme_mod( 'header_button', '' )) ?>; }
    <?php endif; ?>     

    <?php if ( get_theme_mod( 'site_color' ) ) : ?>
    
        .scrollup { background-color: <?php echo esc_html( get_theme_mod( 'site_color', '' )) ?>; }
    <?php endif; ?>    
            
        
    </style>
    <?php
    
    
}
add_action('wp_head', 'andar_styles')


?>